﻿using System;
using System.Collections.Specialized;
using Wisej.Web;

namespace TestOpenWind
{
    internal static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        //static void Main()
        //{
        //    Page1 page = new Page1();
        //    page.Show();
        //}


        static void Main(NameValueCollection args)
        {
            if (args != null && args.Count > 0)
            {

                var page = args[0];
                switch (page)
                {
                    case "init":
                        var s1 = new InitSecondaryPage();
                        Application.MainPage = s1;
                        break;
                    case "later":
                        var pageType = args[1];
                        var p1 = new LaterSecondaryPage();

                        p1.PageType = pageType;
                        //if (args.Count > 2)
                        //    p1.VisitId = args[2];
                        Application.MainPage = p1;
                        break;
               }
            }
            else
            {
                Application.MainPage = new Page1();
            }

        }

        //
        // You can use the entry method below
        // to receive the parameters from the URL in the args collection.
        //
        //static void Main(NameValueCollection args)
        //{
        //}
    }
}